> For the complete documentation index, see [llms.txt](https://docs.startrail.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.startrail.io/metadata-schema/custom-history/custom-history-of-auction/version-1.3.md).

# Version 1.3

## Attributes

<mark style="color:red;">`*`</mark> is required

<table><thead><tr><th width="255">Attribute</th><th width="464">Description</th><th width="204">data format</th><th width="374">Example</th></tr></thead><tbody><tr><td>$schema<mark style="color:red;">*</mark></td><td>IPFS URL to the schema JSON the given metadata follows. Fixed value for Metadata Version 1.3 in example value.</td><td>URL</td><td>ipfs://bafkreigscdxuga3bisqbacawavo7yt5ta27okfydppsiy26wbtiiguw52u</td></tr><tr><td>historyType<mark style="color:red;">*</mark></td><td>History Type.</td><td>string</td><td>auction</td></tr><tr><td>hostLUW<mark style="color:red;">*</mark></td><td>Host LUW, Producer</td><td>string</td><td>0x8DFea3525EE810A7FEa886Fee69c57e68B5d5052</td></tr><tr><td>period<mark style="color:red;">*</mark></td><td>An object that contains time information of the custom history.</td><td>object</td><td>{ "from": "2020-01-23", "to": "2020-03-21" }</td></tr><tr><td>period.from<mark style="color:red;">*</mark></td><td>Period from</td><td>string</td><td>2020-01-23</td></tr><tr><td>period.to<mark style="color:red;">*</mark></td><td>Period to</td><td>string</td><td>2020-03-21</td></tr><tr><td>saleName<mark style="color:red;">*</mark></td><td>Name of the auction</td><td>string</td><td><p>{</p><p>"en": "ABC Exhibition",</p><p>"ja": "エキシビション ABC"</p><p>}</p></td></tr><tr><td>venue<mark style="color:red;">*</mark></td><td>Venue of the exhibition.<br><mark style="color:red;">Required if it includes physical auction.</mark></td><td>string</td><td><p>{</p><p>"en": "Online",</p><p>"ja": "オンライン",</p><p>"zh": "一个标题"</p><p>}</p></td></tr><tr><td></td><td></td><td></td><td></td></tr><tr><td>hostCountry<mark style="color:red;">*</mark></td><td>Country where the auction held.<br><mark style="color:red;">Required if it includes physical auction.</mark></td><td>Enumerated string following ISO 3166-2 which is 2-letter code</td><td>CN</td></tr><tr><td>city</td><td>City</td><td>string</td><td>Beijing</td></tr><tr><td>isOnlineOnly</td><td>True if the auction is only held online, false if it is held physically.</td><td>boolean</td><td>true</td></tr></tbody></table>

## Complete Example

```json
{
  "$schema": "ipfs://bafkreigscdxuga3bisqbacawavo7yt5ta27okfydppsiy26wbtiiguw52u",
  "historyType": "auction",
  "hostLUW": "0x8DFea3525EE810A7FEa886Fee69c57e68B5d5052",
  "period": {
    "from": "2020-01-23",
    "to": "2020-03-21"
  },
  "saleName": {
    "en": "ABC Auction",
    "ja": "オークション ABC"
  },
  "venue": {
    "en": "Online",
    "ja": "オンライン",
    "zh": "一个标题"
  },
  "hostCountry": "CN",
  "city": "Beijing"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.startrail.io/metadata-schema/custom-history/custom-history-of-auction/version-1.3.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
